org.eclipse.wst.jsdt.chromium.debug.ui.launcher

## Class LaunchTypeBase

- java.lang.Object
- - org.eclipse.wst.jsdt.chromium.debug.ui.launcher.LaunchTypeBase

Direct Known Subclasses:
  StandaloneV8LaunchType, WipLaunchType

    public abstract class LaunchTypeBase
    extends java.lang.Object

A launch configuration delegate for the JavaScript debugging.

### Constructor Summary

Constructors
Constructor and Description
`LaunchTypeBase()`

### Method Summary

All Methods Instance Methods Abstract Methods Concrete Methods
`protected abstract JavascriptVmEmbedder.ConnectionToRemote` `createConnectionToRemote(java.lang.String host, int port, ILaunch launch, boolean addConsoleLogger)`
`protected abstract BreakpointSynchronizer.Direction` `getPresetSyncDirection()`
`void` `launch(ILaunchConfiguration config, java.lang.String mode, ILaunch launch, IProgressMonitor monitor)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### LaunchTypeBase

    public LaunchTypeBase()

### Method Detail

#### launch

    public void launch(ILaunchConfiguration config,
                       java.lang.String mode,
                       ILaunch launch,
                       IProgressMonitor monitor)
                throws CoreException

Throws:
  `CoreException`

#### createConnectionToRemote

    protected abstract JavascriptVmEmbedder.ConnectionToRemote createConnectionToRemote(java.lang.String host,
                                                                                        int port,
                                                                                        ILaunch launch,
                                                                                        boolean addConsoleLogger)
                                                                                 throws CoreException

Throws:
  `CoreException`

#### getPresetSyncDirection

    protected abstract BreakpointSynchronizer.Direction getPresetSyncDirection()